---
title: ':nth-child()'
slug: 'Web/CSS/:nth-child'
tags:
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>:nth-child()</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> matches elements based on their position in a group of siblings.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects the second &lt;li&gt; element in a list */
li:nth-child(2) {
  color: lime;
}

/* Selects every fourth element
   among any group of siblings */
:nth-child(4n) {
  color: lime;
}
</pre>

<h2 id="Syntax">Syntax</h2>

<p><code>:nth-child()</code> takes a single argument that describes a pattern for matching element indices in a list of siblings. Element indices are 1-based.</p>

<h3 id="Keyword_values">Keyword values</h3>

<dl>
 <dt><code>odd</code></dt>
 <dd>Represents elements whose numeric position in a series of siblings is odd: 1, 3, 5, etc.</dd>
 <dt><code>even</code></dt>
 <dd>Represents elements whose numeric position in a series of siblings is even: 2, 4, 6, etc.</dd>
</dl>

<h3 id="Functional_notation">Functional notation</h3>

<dl>
 <dt><code>&lt;An+B&gt;</code></dt>
 <dd>Represents elements in a list whose indices match those found in a custom pattern of numbers, defined by <code>An+B</code>, where:<br>
 <code>A</code> is an integer step size,<br>
 <code>B</code> is an integer offset,<br>
 <code>n</code> is all positive integers, starting from 0.</dd>
 <dd>It can be read as the <em>An+B</em>th element of a list.</dd>
</dl>

<h3 id="Formal_syntax">Formal syntax</h3>

<pre class="syntaxbox notranslate">{{csssyntax}}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Example_selectors">Example selectors</h3>

<dl>
 <dt><code>tr:nth-child(odd)</code> or <code>tr:nth-child(2n+1)</code></dt>
 <dd>Represents the odd rows of an HTML table: 1, 3, 5, etc.</dd>
 <dt><code>tr:nth-child(even)</code> or <code>tr:nth-child(2n)</code></dt>
 <dd>Represents the even rows of an HTML table: 2, 4, 6, etc.</dd>
 <dt><code>:nth-child(7)</code></dt>
 <dd>Represents the seventh element.</dd>
 <dt><code>:nth-child(5n)</code></dt>
 <dd>Represents elements <strong>5</strong> [=5×1], <strong>10</strong> [=5×2], <strong>15</strong> [=5×3], <strong>etc.</strong> The first one to be returned as a result of the formula is <strong>0</strong> [=5x0], resulting in a no-match, since the elements are indexed from 1, whereas <code>n</code> starts from 0. This may seem weird at first, but it makes more sense when the <code>B</code> part of the formula is <code>&gt;0</code>, like in the next example.</dd>
 <dt><code>:nth-child(n+7)</code></dt>
 <dd>Represents the seventh and all following elements: <strong>7</strong> [=0+7], <strong>8</strong> [=1+7], <strong>9</strong> [=2+7], <strong>etc.</strong></dd>
 <dt><code>:nth-child(3n+4)</code></dt>
 <dd>Represents elements <strong>4</strong> [=(3×0)+4], <strong>7</strong> [=(3×1)+4], <strong>10</strong> [=(3×2)+4], <strong>13</strong> [=(3×3)+4], <strong>etc.</strong></dd>
 <dt><code>:nth-child(-n+3)</code></dt>
 <dd>Represents the first three elements. [=-0+3, -1+3, -2+3]</dd>
 <dt><code>p:nth-child(n)</code></dt>
 <dd>Represents every <code>&lt;p&gt;</code> element in a group of siblings. This selects the same elements as a simple <code>p</code> selector (although with a higher specificity).</dd>
 <dt><code>p:nth-child(1)</code> or <code>p:nth-child(0n+1)</code></dt>
 <dd>Represents every <code>&lt;p&gt;</code> that is the first element in a group of siblings. This is the same as the {{cssxref(":first-child")}} selector (and has the same specificity).</dd>
</dl>

<dl>
 <dt><code>p:nth-child(n+8):nth-child(-n+15)</code></dt>
 <dd>Represents the eighth through the fifteenth <code>&lt;p&gt;</code> elements of a group of siblings.</dd>
</dl>

<h3 id="Detailed_example">Detailed example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush:html notranslate">&lt;h3&gt;&lt;code&gt;span:nth-child(2n+1)&lt;/code&gt;, WITHOUT an
   &lt;code&gt;&amp;lt;em&amp;gt;&lt;/code&gt; among the child elements.&lt;/h3&gt;
&lt;p&gt;Children 1, 3, 5, and 7 are selected.&lt;/p&gt;
&lt;div class="first"&gt;
  &lt;span&gt;Span 1!&lt;/span&gt;
  &lt;span&gt;Span 2&lt;/span&gt;
  &lt;span&gt;Span 3!&lt;/span&gt;
  &lt;span&gt;Span 4&lt;/span&gt;
  &lt;span&gt;Span 5!&lt;/span&gt;
  &lt;span&gt;Span 6&lt;/span&gt;
  &lt;span&gt;Span 7!&lt;/span&gt;
&lt;/div&gt;

&lt;br&gt;

&lt;h3&gt;&lt;code&gt;span:nth-child(2n+1)&lt;/code&gt;, WITH an
   &lt;code&gt;&amp;lt;em&amp;gt;&lt;/code&gt; among the child elements.&lt;/h3&gt;
&lt;p&gt;Children 1, 5, and 7 are selected.&lt;br&gt;
   3 is used in the counting because it is a child, but it isn't
   selected because it isn't a &lt;code&gt;&amp;lt;span&amp;gt;&lt;/code&gt;.&lt;/p&gt;
&lt;div class="second"&gt;
  &lt;span&gt;Span!&lt;/span&gt;
  &lt;span&gt;Span&lt;/span&gt;
  &lt;em&gt;This is an `em`.&lt;/em&gt;
  &lt;span&gt;Span&lt;/span&gt;
  &lt;span&gt;Span!&lt;/span&gt;
  &lt;span&gt;Span&lt;/span&gt;
  &lt;span&gt;Span!&lt;/span&gt;
  &lt;span&gt;Span&lt;/span&gt;
&lt;/div&gt;

&lt;br&gt;

&lt;h3&gt;&lt;code&gt;span:nth-of-type(2n+1)&lt;/code&gt;, WITH an
   &lt;code&gt;&amp;lt;em&amp;gt;&lt;/code&gt; among the child elements.&lt;/h3&gt;
&lt;p&gt;Children 1, 4, 6, and 8 are selected.&lt;br&gt;
   3 isn't used in the counting or selected because it is an &lt;code&gt;&amp;lt;em&amp;gt;&lt;/code&gt;,
   not a &lt;code&gt;&amp;lt;span&amp;gt;&lt;/code&gt;, and &lt;code&gt;nth-of-type&lt;/code&gt; only selects
   children of that type. The &lt;code&gt;&amp;lt;em&amp;gt;&lt;/code&gt; is completely skipped
   over and ignored.&lt;/p&gt;
&lt;div class="third"&gt;
  &lt;span&gt;Span!&lt;/span&gt;
  &lt;span&gt;Span&lt;/span&gt;
  &lt;em&gt;This is an `em`.&lt;/em&gt;
  &lt;span&gt;Span!&lt;/span&gt;
  &lt;span&gt;Span&lt;/span&gt;
  &lt;span&gt;Span!&lt;/span&gt;
  &lt;span&gt;Span&lt;/span&gt;
  &lt;span&gt;Span!&lt;/span&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">html {
  font-family: sans-serif;
}

span,
div em {
  padding: 5px;
  border: 1px solid green;
  display: inline-block;
  margin-bottom: 3px;
}

.first span:nth-child(2n+1),
.second span:nth-child(2n+1),
.third span:nth-of-type(2n+1) {
  background-color: lime;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Detailed_example', 550, 550)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#nth-child-pseudo', ':nth-child')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>Adds <code>of &lt;selector&gt;</code> syntax and specifies that matching elements are not required to have a parent.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Selectors', '#nth-child-pseudo', ':nth-child')}}</td>
   <td>{{Spec2('CSS3 Selectors')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.nth-child")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ Cssxref(":nth-of-type") }}, {{ Cssxref(":nth-last-child") }}</li>
</ul>
